Subject: bug#76521: 31.0.50; TRAMP couldn't find `ls' on OpenBSD

From: Manuel Giraud <[email-masked]>
Date: Mon, 24 Feb 2025 19:54:28 +0100

Michael Albinus <[email-masked]> writes:

[...]

>> I don't understand.  What should I put in the X-Debbugs-Cc header?
>
> What you add in Cc: usually. It is needed only when you submit a new bug.
>
> Read the full story in admin/notes/bugtracker

Thanks, I'll read that.

[...]

>> 15:26:53.972145 tramp-send-command (6) #
>> PATH=$PATH:/usr/bin:/bin:/usr/sbin:/sbin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin
>> type -P readlink 2>/dev/null
>> 15:26:53.973329 tramp-wait-for-regexp (6) #
>> ///dd2d77bb0b39480e03427f29d539c6cd#$
>
> Strange. No output.
>
> What happens, if you call in a shell
>
> PATH=$PATH:/usr/bin:/bin:/usr/sbin:/sbin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin type -P readlink

I get the following error:

/bin/ksh: type: -P: unknown option
-- 
Manuel Giraud